Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SStateValue

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, IValue, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  SStateValueImpl

    public interface SStateValue

extends SNamed, IValue

Method Summary
`SState` | `getSet()` Returns the value of the 'Set' container reference.
`void` | `setSet(SState value)` Sets the value of the '`Set`' container reference.

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IValue
`getAccessors, getAvailableTypes, references`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSet

    SState getSet()

  Returns the value of the 'Set' container reference. It is bidirectional and its opposite is '`Options`'.

  If the meaning of the 'Set' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Set' container reference.
  See Also:
    `setSet(SState)`, `MetaABMPackage.getSStateValue_Set()`, `SState.getOptions()`

### setSet

    void setSet(SState value)

  Sets the value of the '`Set`' container reference.

  Parameters:
    `value` - the new value of the 'Set' container reference.
  See Also:
    `getSet()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD